%define srcname ktp-common-internals
%define rel 2
%define major 8
%define version_lib 0.9
%define with_nepomuk 0
%define with_kpeople 1

Name: telepathy-kde-common-internals
Version: 0.9.0
Release: %mkrel %{rel}
Summary: KDE Telepathy Parts
Group: System/Libraries
License: LGPLv2
URL: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0: http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.bz2

BuildRequires: pkgconfig(TelepathyQt4) >= 0.9.2.1
BuildRequires: pkgconfig(TelepathyLoggerQt4)
BuildRequires: pkgconfig(libotr)
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: boost-devel
BuildRequires: doxygen
%if %with_kpeople
BuildRequires: kpeople-devel
%endif

%description
This package provides the commons part used by telepathy kde.


#------------------------------------------------------------------------------
%package core
Summary: Commons files used by telepathy kde
Group:   Graphical desktop/KDE 
Requires: libkpeople-core
Conflicts: %{name}-translations < 0.5.0
Obsoletes: %{name}-translations < 0.5.0
Conflicts: %{name} < 0.5.0
Obsoletes: %{name} < 0.5.0
Obsoletes: telepathy-kde-nepomuk-service < 0.1-1
Conflicts: telepathy-kde-contact-list < 0.4.0
%if %with_nepomuk
Requires: nepomuk-core
%endif

%description core
Commons files used by telepathy kde

%files core -f ktp-common-internals.lang
%{_kde_iconsdir}/hicolor/*/*/*.png
%{_kde_appsdir}/ktelepathy/ktelepathy.notifyrc
%{_kde_appsdir}/katepart/syntax/ktpdebugoutput.xml
%{_kde_services}/ktploggerplugin_tplogger.desktop
%{_kde_servicetypes}/ktp_logger_plugin.desktop
%{_kde_iconsdir}/hicolor/scalable/apps/telepathy-kde.svgz
%{_kde_libdir}/kde4/imports/org/kde/telepathy
%{_kde_libdir}/kde4/ktploggerplugin_tplogger.so
%{_kde_libdir}/kde4/libexec/ktp-proxy
%{_kde_datadir}/config.kcfg/ktp-proxy-config.kcfg
%{_kde_datadir}/telepathy/clients/KTp.Proxy.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Proxy.service
%if %with_kpeople
%{_kde_libdir}/kde4/im_persons_data_source_plugin.so
%{_kde_libdir}/kde4/imdetailswidgetplugin.so
%{_kde_libdir}/kde4/kpeople_chat_plugin.so
%{_kde_libdir}/kde4/ktp_kpeople_plugin.so
%{_kde_services}/im_persons_data_source_plugin.desktop
%{_kde_services}/imdetailswidgetplugin.desktop
%{_kde_services}/kpeople_chat_plugin.desktop
%{_kde_services}/ktp_kpeople_plugin.desktop
%if %with_nepomuk
%{_kde_libdir}/kde4/nepomuktelepathyservice.so
%{_kde_services}/nepomuktelepathyservice.desktop
%{_datadir}/ontology/telepathy/telepathy.ontology
%{_datadir}/ontology/telepathy/telepathy.trig
%endif  # with_nepomuk
%endif  # with_kpeople

#------------------------------------------------------------------------------

%define libktpmodelsprivate %mklibname ktpmodelsprivate %{major}

%package -n %{libktpmodelsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpmodelsprivate}
Runtime library for %{name}

%files -n %{libktpmodelsprivate}
%{_kde_libdir}/libktpmodelsprivate.so.%{major}
%{_kde_libdir}/libktpmodelsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpcommoninternalsprivate %mklibname ktpcommoninternalsprivate %{major}

%package -n %{libktpcommoninternalsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpcommoninternalsprivate}
Runtime library for %{name}

%files -n %{libktpcommoninternalsprivate}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{major}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpwidgetsprivate %mklibname ktpwidgetsprivate %{major}

%package -n %{libktpwidgetsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %{libktpwidgetsprivate}
Runtime library for %{name}

%files -n %{libktpwidgetsprivate}
%{_kde_libdir}/libktpwidgetsprivate.so.%{major}
%{_kde_libdir}/libktpwidgetsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktploggerprivate %mklibname ktploggerprivate %{major}
%package -n %{libktploggerprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %{libktploggerprivate}
Runtime library for %{name}

%files -n %{libktploggerprivate}
%{_kde_libdir}/libktploggerprivate.so.%{major}
%{_kde_libdir}/libktploggerprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpotrprivate %mklibname ktpotrprivate %{major}
%package -n %{libktpotrprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %{libktpotrprivate}
Runtime library for %{name}

%files -n %{libktpotrprivate}
%{_kde_libdir}/libktpotrprivate.so.%{major}
%{_kde_libdir}/libktpotrprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define devel %mklibname %{name} -d

%package -n %{devel}
Summary: Headers files for %{name}
Group: Development/KDE and Qt 
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %{libktpcommoninternalsprivate} = %{version}-%{release}
Requires: %{libktploggerprivate} = %{version}-%{release}
Requires: %{libktpmodelsprivate} = %{version}-%{release}
Requires: %{libktpotrprivate} = %{version}-%{release}
Requires: %{libktpwidgetsprivate} = %{version}-%{release}

%description -n %{devel}
Headers files for %{name}

%files -n %{devel}
%{_kde_includedir}/KTp/
%{_kde_libdir}/libktpcommoninternalsprivate.so
%{_kde_libdir}/libktploggerprivate.so
%{_kde_libdir}/libktpmodelsprivate.so
%{_kde_libdir}/libktpotrprivate.so
%{_kde_libdir}/libktpwidgetsprivate.so
%{_kde_bindir}/ktp-debugger

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-common-internals 


%changelog
* Sat Feb 07 2015 lmenut <lmenut> 0.9.0-2.mga5
+ Revision: 814029
- enable OTR encryption

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813747
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 742667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689799
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667403
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch
- add BuildRequires kpeople-devel & doxygen

* Sat Mar 15 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 603950
- update  libmajor
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595801
- add br
- new version 0.7.80

* Thu Feb 06 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 584476
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549308
- obsoletes telepathy-kde-nepomuk-service (merged)

  + fwang <fwang>
    - new version 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.3.mga4
+ Revision: 540514
- Mageia 4 Mass Rebuild

  + mikala <mikala>
    - Add kpeople support

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493000
- Update tarball to 0.6.80 aka 0.7 beta1
- Fix files list

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466266
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429045
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407384
- Update tarball to 0.6.0

* Sat Mar 16 2013 neoclust <neoclust> 0.5.80-2.mga3
+ Revision: 403374
- Core package is not noarch anymore

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402605
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399544
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-3.mga3
+ Revision: 384264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 0.5.2-2.mga3
+ Revision: 340043
- Add missing conflicts

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332470
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306884
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-2.mga3
+ Revision: 286644
- Add an obsoletes tag to ease upgrade

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285939
- use conflicts instead of obsoletes to allow update
  This will affect only cauldron where %%{name} was used as a ?\194?\171 real ?\194?\187 arch package & can't be obsoleted by a noarch package
- Update tarball to 0.5.0
- Merge -translations packages & the ?\194?\171 main ?\194?\187 package in a noarch package (-core)

* Tue Jul 17 2012 lmenut <lmenut> 0.4.0-2.mga3
+ Revision: 272016
- add Conflicts against telepathy-kde-contact-list < 0.4.0
  due to file conflicts

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271793
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202924
- Fix license tag
- Add URL
- Update SOURCE0
- Remove requires for translation on lib
- Add a noarch package for translations
- imported package telepathy-kde-common-internals

